LINUX.ORG.RU

=dev-libs/nss что за такое?

 ,


0

1

обновляюсь... [code/>>> Emerging (1 of 10) dev-libs/nss-3.14.3 и тут наглухо виснет.

^C, и тут:

^C

Exiting on signal 2
Traceback (most recent call last):
  File "/usr/lib64/portage/pym/portage/locks.py", line 147, in lockfile
    locking_method(myfd, fcntl.LOCK_EX|fcntl.LOCK_NB)
IOError: [Errno 11] Resource temporarily unavailable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/portage/bin/lock-helper.py", line 29, in <module>
    rval = main(sys.argv[1:])
  File "/usr/lib64/portage/bin/lock-helper.py", line 21, in main
    lock_obj = portage.locks.lockfile(args[0], wantnewlockfile=True)
  File "/usr/lib64/portage/pym/portage/locks.py", line 171, in lockfile
    locking_method(myfd, fcntl.LOCK_EX)
KeyboardInterrupt
_LockProcess: failed to acquire lock on '/var/tmp/portage/dev-libs/nss-3.14.3'
Traceback (most recent call last):
  File "/usr/bin/emerge", line 51, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1044, in emerge_main
    gc_locals=locals().clear)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 3921, in run_action
    myopts, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 478, in action_build
    retval = mergetask.merge()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1011, in merge
    rval = self._merge()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1396, in _merge
    self._main_loop()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1363, in _main_loop
    self._schedule()
  File "/usr/lib64/portage/pym/_emerge/PollScheduler.py", line 127, in _schedule
    self._schedule_tasks()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1564, in _schedule_tasks
    if self._schedule_tasks_imp():
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1664, in _schedule_tasks_imp
    self._task_queues.jobs.add(task)
  File "/usr/lib64/portage/pym/_emerge/SequentialTaskQueue.py", line 23, in add
    self.schedule()
  File "/usr/lib64/portage/pym/_emerge/SequentialTaskQueue.py", line 45, in schedule
    task.start()
  File "/usr/lib64/portage/pym/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib64/portage/pym/_emerge/MergeListItem.py", line 93, in _start
    self._start_task(build, self._default_final_exit)
  File "/usr/lib64/portage/pym/_emerge/CompositeTask.py", line 151, in _start_task
    task.start()
  File "/usr/lib64/portage/pym/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib64/portage/pym/_emerge/EbuildBuild.py", line 88, in _start
    self._prefetch_exit(prefetcher)
  File "/usr/lib64/portage/pym/_emerge/EbuildBuild.py", line 143, in _prefetch_exit
    self._build_dir.lock()
  File "/usr/lib64/portage/pym/_emerge/EbuildBuildDir.py", line 60, in lock
    self._assert_lock(builddir_lock)
  File "/usr/lib64/portage/pym/_emerge/EbuildBuildDir.py", line 71, in _assert_lock
    % (async_lock.returncode,))
AssertionError: AsynchronousLock failed with returncode 1

что за..? это у меня одного так?

Ответ на: комментарий от funeralismatic

зачем тебе маскировка? у дяденек был .libreoffice-3.4.3.2-r1.portage_lockfile в /var/tmp/portage/app-office который они потерли и проблема больше не воспроизвелась. смотри что у тебя там в /var/tmp/portage/dev-libs

x0r ★★★★★ ()
Ответ на: комментарий от funeralismatic

emerge это та ещё куча быдлокода.

anonymous ()
Ответ на: комментарий от funeralismatic

У тебя вывелся весь этот лог потому, что ты нажал «ctrl+c» (^C). Ты просто прервал работу интерпретатора python.

kostik87 ★★★★★ ()

Если ты замаскируешь dev-libs/nss - то не сможешь собрать как минимум firefox и chromium.

science ★★☆ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.